* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Poppins', sans-serif;
}

html,
body{
  width:100%;
  overflow-x:hidden;
  scroll-behavior:smooth;
}

img{
  max-width:100%;
  height:auto;
   
}

section{
  width:100%;
  overflow:hidden;
}

/* HERO SECTION */
.hero {
  width: 100%;
  height: 100vh;
  position: relative;
  overflow: hidden;
  display: flex;
  justify-content: center;
  align-items: center;
  color: white;
}

/* Background image layer */
.hero::before {
  content: "";
  position: absolute;
  inset: 0;
  background: url("images/searchEngine3.jpg") center/cover no-repeat;
  transform: scale(1.15); /* slight zoom IN */
  transition: transform 1.2s ease;
  z-index: -1;
}

/* Zoom OUT on hover */
.hero:hover::before {
  transform: scale(1); /* normal size */
}

/* Dark overlay */
.hero::after {
  content: "";
  position: absolute;
  inset: 0;
  background: rgba(41, 40, 40, 0.7);
  z-index: -1;
}

/* Content */
.hero-contents {
  text-align: center;
  width:80%;
  z-index: 2;
}

.hero h1 {
  font-size: 3rem;
  margin-bottom: 10px;
}

.hero p {
  font-size: 1.2rem;
  margin-bottom: 20px;
  line-height: 1.6;
  font-weight: 600;
}

/* RESPONSIVE FIX */
@media (max-width: 1024px) {

  .hero-contents {
    width: 85%;
  }

  .hero h1 {
    font-size: 2.6rem;
  }

  .hero p {
    font-size: 1.1rem;
  }

}


/* =========================
   768px RESPONSIVE
========================= */
@media (max-width: 768px) {

  .hero {
   min-height: 90vh;
height: auto;
padding: 120px 20px;
  }

  .hero-contents {
    width: 90%;
  }

  .hero h1 {
    font-size: 2.2rem;
  }

  .hero p {
    font-size: 1rem;
    line-height: 1.5;
  }

}


/* =========================
   480px RESPONSIVE
========================= */
@media (max-width: 480px) {

  .hero {
   min-height: 85vh;
height: auto;
padding: 120px 20px;
  }

  .hero-contents {
    width: 100%;
  }

  .hero h1 {
    font-size: 1.8rem;
    line-height: 1.3;
  }

  .hero p {
    font-size: 0.95rem;
    line-height: 1.5;
  }

}

/* ---------------TEXT SECTION ---------------------*/
.hero-text {
  width: 100%;
  min-height: 50vh;
  background-color: #d6d6ed;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;

  padding: 40px 20px;
}

.hero-text h1 {
  font-size: 38px;
  margin-bottom: 10px; color: rgb(17, 17, 120);
  display:inline-block;
  position:relative;
}

.hero-text p {
  font-size: 1.2rem;
  max-width: 73%;
  color: rgb(92, 91, 91);
  line-height: 1.5;
}

/*  FIX (DOT + ALIGNMENT) */
.hero-text ul {
  margin-top: 15px;
  margin-bottom: 15px;
  list-style-type: disc;     
  list-style-position: inside;
  text-align: left;           
                 
  padding-left: 20px;        
}

.hero-text ul li {
  margin: 6px 0;
  font-size: 1.1rem;
  color: rgb(84, 82, 82);
} 

/* 1024--------- */
@media (max-width: 1024px) {

  .hero-text h1 {
    font-size: 34px;
  }

  .hero-text p {
    max-width: 85%;
    font-size: 1.1rem;
  }

  .hero-text ul {
    max-width: 85%;
  }

}


/* =========================
   768px RESPONSIVE
========================= */
@media (max-width: 768px) {

  .hero-text {
    padding: 60px 20px;
  }

  .hero-text h1 {
    font-size: 30px;
  }

  .hero-text p {
    max-width: 95%;
    font-size: 1rem;
    line-height: 1.6;
  }

  .hero-text ul {
    max-width: 95%;
  }

  .hero-text ul li {
    font-size: 1rem;
    line-height: 1.5;
  }

}


/* =========================
   480px RESPONSIVE
========================= */
@media (max-width: 480px) {

  .hero-text {
    padding: 50px 15px;
  }

  .hero-text h1 {
    font-size: 26px;
    line-height: 1.3;
  }

  .hero-text p {
    max-width: 100%;
    font-size: 0.95rem;
    line-height: 1.7;
  }

  .hero-text ul {
    max-width: 100%;
    padding-left: 15px;
  }

  .hero-text ul li {
    font-size: 0.95rem;
    line-height: 1.6;
  }

}
/* ----------------------seo cards---------------------- */
/* SEO CARDS SECTION */
.seo-cards-section {
  width: 100%;
  padding: 100px 20px;
  position: relative;
  background: url("images/searchEngine1.jpg") center/cover no-repeat;
  background-attachment: fixed;
  overflow: hidden;
}

/* DARK OVERLAY */
.seo-cards-overlay {
  position: absolute;
  inset: 0;
  background: rgba(70, 69, 69, 0.7);
}

/* CONTENT */
.seo-cards-content {
  position: relative;
  z-index: 2;
  max-width: 1200px;
  margin: auto;
  text-align: center;
}

.seo-cards-content h2 {
  font-size: 42px;
  color: rgb(254, 254, 255);
  margin-bottom: 10px;
  display:inline-block;
  position:relative;
}
.seo-cards-content h2::after {
  content: "";
  width: 22%;
  height: 4px;
 background: #fff;
  position: absolute;
  left: 50%;
  bottom: -10px;
  transform: translateX(-50%);
}

.seo-section-para {
  color: #fbfbfc;
  margin-bottom: 50px;
  font-size: 18px;
}

/* GRID */
.seo-cards-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 30px;
}

/* CARD */
.seo-card {
  background: rgba(227, 223, 223, 0.5);
  backdrop-filter: blur(5px);
  padding: 35px 25px;
  border-radius: 15px;
  transition: 0.4s ease;
  border: 1px solid rgba(14, 14, 14, 0.2);
}

.seo-card:hover {
  transform: translateY(-10px);
   background:
  radial-gradient(circle at top left, rgba(60, 75, 159, 0.2), transparent 40%),
  radial-gradient(circle at bottom right, rgba(209, 9, 76, 0.5), transparent 87%),
  rgba(40, 40, 137, 0.6); 
}

/* ICON */
.seo-card i {
  font-size: 40px;
  color: #fcfcfe;
  margin-bottom: 20px;
}

/* TEXT */
.seo-card h3 {
  color: white;
  margin-bottom: 12px;
  font-size: 24px;
}

.seo-card p {
  color: #fff;
  line-height: 1.6;
}

/* =========================
   1024px
========================= */
@media (max-width: 1024px) {

  .seo-cards-section {
    padding: 90px 20px;
  }

  .seo-cards-grid {
    grid-template-columns: repeat(2, 1fr);
    gap: 25px;
  }

  .seo-cards-content h2 {
    font-size: 36px;
  }

  .seo-section-para {
    font-size: 17px;
  }

}

/* =========================
   768px
========================= */
@media (max-width: 768px) {

  .seo-cards-section {
    padding: 80px 18px;
    background-attachment: fixed;
  }

  .seo-cards-grid {
    grid-template-columns: repeat(2, 1fr);
    gap: 22px;
  }

  .seo-cards-content h2 {
    font-size: 32px;
    line-height: 1.3;
  }

  .seo-section-para {
    font-size: 16px;
    margin-bottom: 40px;
  }

  .seo-card {
    padding: 30px 22px;
  }

  .seo-card h3 {
    font-size: 22px;
  }

  .seo-card p {
    font-size: 15px;
  }

}

/* =========================
   480px
========================= */
@media (max-width: 480px) {

  .seo-cards-section {
    padding: 70px 14px;
  }
.seo-cards-grid {
    grid-template-columns: 1fr;
    gap: 18px;
  }
  .seo-cards-content h2 {
    font-size: 28px;
  }

  .seo-section-para {
    font-size: 15px;
    line-height: 1.7;
  }

  .seo-card {
    padding: 24px 18px;
    border-radius: 14px;
  }

  .seo-card i {
    font-size: 32px;
  }

  .seo-card h3 {
    font-size: 20px;
  }

  .seo-card p {
    font-size: 14px;
    line-height: 1.7;
  }

}
/* ------------------------benefit cards marquee------------------- */

/* SECTION */
.seo-marquee-section {
  width: 100%;
  padding: 80px 0;
  background: #fff;
  text-align: center;  
}

.seo-marquee-section h2 {
  color: rgb(39, 25, 134);
  font-size: 39px;
  margin-bottom: 50px;
  position: relative;
  display: inline-block;
}

/* UNDERLINE */
.seo-marquee-section h2::after {
  content: "";
  position: absolute;
  left: 50%;
  bottom: -10px;
  transform: translateX(-50%);
  width: 90px;
  height: 4px;
  background: linear-gradient(190deg, #3021a3, #b6074a);
  border-radius: 5px;
}
/* MARQUEE */
.seo-marquee {
  width: 100%;
  position: relative;
}

/* TRACK */
.seo-marquee-track {
  display: flex;
  gap: 25px;
  width: max-content;
  animation: marqueeMove 22s linear infinite;
  -webkit-animation: marqueeMove 22s linear infinite;
}

/* CARD */
.seo-marquee-card {
  width: 300px;
  background: rgba(92, 130, 235, 0.5);
  border: 3px solid rgba(50, 49, 49, 0.3);
  border-radius: 18px;
  padding: 30px 25px;
  text-align: center;
  backdrop-filter: blur(5px);
  transition: 0.4s ease;
}

.seo-marquee-card:hover {
  transform: translateY(-10px);
   background:
  radial-gradient(circle at top left, rgba(60, 75, 159, 0.3), transparent 40%),
  radial-gradient(circle at bottom right, rgba(209, 9, 76, 0.6), transparent 87%),
  rgba(34, 34, 174, 0.6); 
  
}

/* ICON */
.seo-marquee-card i {
  font-size: 42px;
  color: #192f9c;
  margin-bottom: 20px;
}

/* TEXT */
.seo-marquee-card h3 {
  color: rgb(32, 26, 150);
  margin-bottom: 12px;
  font-size: 22px;
}

.seo-marquee-card p {
  color: #0e1285;
  line-height: 1.6;
}
.seo-marquee-card:hover h3,
.seo-marquee-card:hover i,
.seo-marquee-card:hover p{
    color:white;
}
/* ANIMATION */
@keyframes marqueeMove {
  from {
    transform: translateX(0);
  }

  to {
    transform: translateX(-50%);
  }
}

/* PAUSE MARQUEE ON HOVER */
.seo-marquee:hover .seo-marquee-track {
  animation-play-state: paused;
}
/* RESPONSIVE ------------------------*/
@media (max-width: 1024px) {

  .seo-marquee-section h2 {
    font-size: 34px;
  }

  .seo-marquee-card {
    width: 280px;
  }

}


/* =========================
   768px RESPONSIVE
========================= */
@media (max-width: 768px) {

  .seo-marquee-section {
    padding: 70px 0;
  }

  .seo-marquee-section h2 {
    font-size: 30px;
    margin-bottom: 40px;
  }

  .seo-marquee-track {
    gap: 20px;
    animation-duration: 16s;
  }

  .seo-marquee-card {
    width: 250px;
     min-width: 220px;
    padding: 25px 20px;
  }

  .seo-marquee-card i {
    font-size: 36px;
  }

  .seo-marquee-card h3 {
    font-size: 20px;
  }

  .seo-marquee-card p {
    font-size: 15px;
  }

}


/* =========================
   480px RESPONSIVE
========================= */
@media (max-width: 480px) {

  .seo-marquee-section {
    padding: 60px 0;
    overflow: hidden;
     
  }

  .seo-marquee-section h2 {
    font-size: 26px;
    line-height: 1.3;
    margin-bottom: 35px;
    padding: 0 15px;
  }

  .seo-marquee {
    overflow: hidden;
  }

  .seo-marquee-track {
    gap: 15px;
    animation-duration: 5s;
    will-change: transform;
  }

  .seo-marquee-card {
    width: 220px;
    min-width: 220px;

    padding: 22px 18px;

    border-radius: 15px;

    flex-shrink: 0;
  }

  .seo-marquee-card i {
    font-size: 32px;
    margin-bottom: 15px;
  }

  .seo-marquee-card h3 {
    font-size: 18px;
    line-height: 1.4;
  }

  .seo-marquee-card p {
    font-size: 14px;
    line-height: 1.6;
  }

}

/* ------------------------timeline process code=------------------ */
/* SECTION */
.seo-process-section {
  width: 100%;
  padding: 50px 20px;
  background: #dee7f9;
  color: white;
}

/* HEADING */
.seo-process-heading {
  text-align: center;
  margin-bottom: 70px;
}

.seo-process-heading h2 {
  font-size: 42px;
  margin-bottom: 15px;
  color:#19198a;
  display:inline-block;
  position:relative;
    
}
.seo-process-heading h2::after {
  content: "";
  width: 22%;
  height: 4px;
 background: linear-gradient(190deg, #3021a3, #b6074a);
  position: absolute;
  left: 50%;
  bottom: -10px;
  transform: translateX(-50%);
}
.seo-process-heading h2::after {
  content: "";
  width: 22%;
  height: 4px;
 background: linear-gradient(190deg, #3021a3, #b6074a);
  position: absolute;
  left: 50%;
  bottom: -10px;
  transform: translateX(-50%);
}

.seo-process-heading p {
  max-width: 720px;
  margin: auto;
  font-size:18px;
  color: #2517a0;
  line-height: 1.6;
}

/* TIMELINE */
.seo-timeline {
  position: relative;
  max-width: 1200px;
  margin: auto;
}

/* CENTER LINE */
.seo-timeline::before {
  content: "";
  position: absolute;
  width: 4px;
 background: linear-gradient(190deg,#b6074a , #1f1378);
  top: 0;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
}

/* ITEM */
.seo-timeline-item {
  position: relative;
  width: 50%;
  padding: 20px 40px;
}

/* LEFT */
.seo-timeline-item.left {
  left: 0;
}

/* RIGHT */
.seo-timeline-item.right {
  left: 50%;
}

/* CONTENT */
.seo-timeline-content {
  background: rgba(192, 191, 253, 0.5);
  padding: 30px;
  border:2.5px solid rgb(191, 205, 247);
  border-radius: 15px;
  position: relative;
  /* backdrop-filter: blur(5px); */

  transition: 0.4s ease;
}

.seo-timeline-content:hover {
  transform: translateY(-10px);
   background:
  radial-gradient(circle at top left, rgba(60, 75, 159, 0.3), transparent 40%),
  radial-gradient(circle at bottom right, rgba(209, 9, 76, 0.6), transparent 87%),
  rgba(34, 34, 174, 0.6); 
}

/* DOT */
.seo-timeline-content::before {
  content: "";
  position: absolute;
  width: 18px;
  height: 18px;
  background: linear-gradient(190deg,#b6074a , #1f1378);
  border-radius: 50%;
  top: 40px;
}

/* LEFT DOT */
.left .seo-timeline-content::before {
  right: -49px;
}

/* RIGHT DOT */
.right .seo-timeline-content::before {
  left: -49px;
}

/* ICON */
.seo-timeline-content i {
  font-size: 40px;
  color: #15308b;
  margin-bottom: 20px;
}

/* TEXT */
.seo-timeline-content h3 {
  margin-bottom: 12px;
  font-size: 24px;
  color:#19198a;
}
 .seo-timeline-content:hover h3,
 .seo-timeline-content:hover i,
.seo-timeline-content:hover p {
  color: white;
}
.seo-timeline-content p {
  color: #291d96;
  line-height: 1.6;
}

@media (max-width: 1024px) {

  .seo-process-heading h2 {
    font-size: 36px;
  }

  .seo-process-heading p {
    font-size: 17px;
  }

  .seo-timeline-item {
    padding: 20px 30px;
  }

  .seo-timeline-content {
    padding: 25px;
  }

}


/* =========================
   768px RESPONSIVE
========================= */
@media (max-width: 768px) {

  .seo-process-section {
    padding: 70px 20px;
  }

  .seo-process-heading {
    margin-bottom: 50px;
  }

  .seo-process-heading h2 {
    font-size: 32px;
  }

  .seo-process-heading p {
    font-size: 16px;
    max-width: 100%;
  }

  /* LINE LEFT */
  .seo-timeline::before {
    left: 20px;
  }

  /* FULL WIDTH */
  .seo-timeline-item {
    width: 100%;
    padding-left: 60px;
    padding-right: 10px;
  }

  .seo-timeline-item.right {
    left: 0;
  }

  /* DOT POSITION */
  .left .seo-timeline-content::before,
  .right .seo-timeline-content::before {
    left: -49px;
  }

  .seo-timeline-content {
    padding: 25px 20px;
  }

  .seo-timeline-content h3 {
    font-size: 22px;
  }

  .seo-timeline-content p {
    font-size: 15px;
  }

}


/* =========================
   480px RESPONSIVE
========================= */
@media (max-width: 480px) {

  .seo-process-section {
    padding: 60px 15px;
  }

  .seo-process-heading h2 {
    font-size: 28px;
    line-height: 1.3;
  }

  .seo-process-heading p {
    font-size: 15px;
    line-height: 1.7;
  }

  .seo-timeline-item {
    padding-left: 50px;
    padding-right: 0;
  }

  .seo-timeline::before {
    left: 15px;
  }

  .left .seo-timeline-content::before,
  .right .seo-timeline-content::before {
    left: -42px;
    width: 16px;
    height: 16px;
  }

  .seo-timeline-content {
    padding: 22px 18px;
  }

  .seo-timeline-content i {
    font-size: 34px;
  }

  .seo-timeline-content h3 {
    font-size: 20px;
  }

  .seo-timeline-content p {
    font-size: 14px;
    line-height: 1.7;
  }

}




/* =---------------------types of seo------------- */
/* SECTION */
.seo-app-section {
  width: 100%;
  padding: 100px 20px;
  background: #e7e7fc;
}

/* HEADING */
.seo-app-heading {
  text-align: center;
  margin-bottom: 60px;
}

.seo-app-heading h2 {
  font-size: 42px;
  color: #19198a;
  margin-bottom: 15px;
  display:inline-block;
  position:relative;
}

.seo-app-heading h2::after {
  content: "";
  width: 22%;
  height: 4px;
 background: linear-gradient(190deg, #3021a3, #b6074a);
  position: absolute;
  left: 50%;
  bottom: -10px;
  transform: translateX(-50%);
}

.seo-app-heading p {
  max-width: 700px;
  margin: auto;
  color: #555;
  line-height: 1.6;
}

/* GRID */
.seo-app-grid {
  max-width: 1300px;
  margin: auto;

  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 30px;
}

 
 
/* CARD */
.seo-app-card {
  position: relative;
  background: white;
  border-radius: 28px;
  padding: 35px 30px;
  box-shadow: 0 10px 30px rgba(0,0,0,0.08);
  overflow: hidden;
  z-index: 1;
  transition: 0.4s ease;
}

/* MOVING BORDER */
.seo-app-card::before {
  content: "";
  position: absolute;
  width: 180%;
  height: 180%;
  top: -50%;
  left: -50%;
  background: conic-gradient(
    transparent,
    #19198a,
    transparent,
    #4f46e5,
    transparent
  );
  animation: rotateBorder 4s linear infinite;
  z-index: -2;
}

/* INNER WHITE AREA */
.seo-app-card::after {
  content: "";
  position: absolute;
  inset: 4px;
  background: rgb(252, 251, 251);
  border-radius: 25px;
  z-index: -1;
}

/* HOVER */
.seo-app-card:hover {
  transform: translateY(-10px);
}
/* ROTATE ANIMATION */
@keyframes rotateBorder {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }

}

/* ICON */
.seo-app-icon {
  width: 75px;
  height: 75px;
  background: #eef1ff;
  border-radius: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  transition:2s;
  margin-bottom: 25px;
  -webkit-transition:2s;
  -moz-transition:2s;
  -ms-transition:2s;
  -o-transition:2s;
}

 
.seo-app-icon i {
  font-size: 34px;
  color: #19198a;
}

/* TEXT */
.seo-app-card h3 {
  font-size: 28px;
  color: #19198a;
  margin-bottom: 15px;
}

.seo-app-card p {
  color: #555;
  line-height: 1.6;
  margin-bottom: 20px;
}

/* LIST */
.seo-app-card ul {
  padding-left: 18px;
}

.seo-app-card ul li {
  margin-bottom: 10px;
  color: #444;
}

@media (max-width: 1024px) {

  .seo-app-grid {
    grid-template-columns: repeat(2, 1fr);
  }

  .seo-app-heading h2 {
    font-size: 36px;
  }

  .seo-app-heading p {
    font-size: 17px;
  }

  .seo-app-card {
    padding: 30px 25px;
  }

  .seo-app-card h3 {
    font-size: 24px;
  }

}


/* =========================
   768px RESPONSIVE
========================= */
@media (max-width: 768px) {

  .seo-app-section {
    padding: 80px 20px;
  }

  .seo-app-heading {
    margin-bottom: 45px;
  }

  .seo-app-heading h2 {
    font-size: 32px;
  }

  .seo-app-heading p {
    font-size: 16px;
    max-width: 100%;
  }

  .seo-app-grid {
      grid-template-columns: repeat(2, 1fr);
    gap: 25px;
  }

  .seo-app-card {
    padding: 28px 22px;
  }

  .seo-app-icon {
    width: 68px;
    height: 68px;
  }

  .seo-app-icon i {
    font-size: 30px;
  }

  .seo-app-card h3 {
    font-size: 22px;
  }

  .seo-app-card p,
  .seo-app-card ul li {
    font-size: 15px;
  }

}


/* =========================
   480px RESPONSIVE
========================= */
@media (max-width: 480px) {

  .seo-app-section {
    padding: 70px 15px;
  }  
  .seo-app-grid {
     grid-template-columns: 1fr;
    gap: 20px;
  }
    

  .seo-app-heading h2 {
    font-size: 28px;
    line-height: 1.3;
  }

  .seo-app-heading p {
    font-size: 15px;
    line-height: 1.7;
  }

  .seo-app-card {
    padding: 24px 18px;
    border-radius: 22px;
  }

  .seo-app-card::after {
    border-radius: 19px;
  }

  .seo-app-icon {
    width: 62px;
    height: 62px;
    border-radius: 16px;
  }

  .seo-app-icon i {
    font-size: 26px;
  }

  .seo-app-card h3 {
    font-size: 20px;
  }

  .seo-app-card p,
  .seo-app-card ul li {
    font-size: 14px;
    line-height: 1.6;
  }

}

@media(max-width:768px){

  *{
    max-width:100%;
  }

  body{
    overflow-x:hidden;
  }

}












 